PDF extension read error

Description of the issue:
PDF files will not load into the PDF extension.

Steps to Reproduce (add as many as necessary): 1. 2. 3.
Step 1: Load Brave.

Step 2: Navigate to any page featuring a link to a PDF file.

Step 3: Click on any PDF link.

Actual Result (gifs and screenshots are welcome!):
PDF does not load. Instead I get an error message with a More Information button. The output of that More Information button is:

PDF.js v2.12.313 (build: a2ae56f39)
Message: file origin does not match viewer’s

Expected result:
PDF should load and be scrollable and readable.

Reproduces how often:
Every time, on every platform, including one platform I personally own and administer.

Operating System and Brave Version(See the About Brave page in the main menu):
Linux (Fedora release 36) - Brave Version 1.39.122 Chromium: 102.0.5005.115 (Official Build) (64-bit)

Additional Information:
This behavior does not affect embedded PDFs on platforms that have their own readers and players.

This behavior does not affect any browser except Brave; I checked it with the current build of Firefox and the PDF loaded as expected.

We don’t use PDF.js in Brave. is this an extension?

It likely is. Today the problem seems to be resolved.

1 Like